Subject: bug#58472: [PATCH] Make `message-unique-id' less prone to collisions

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 13 Oct 2022 21:15:59 +0200

Stefan Kangas <[email-masked]> writes:

> Hmm, right (from `(message) News Headers'):
> 
>     ‘Message-ID’
>          This required header will be generated by Message.  A unique ID
>          will be created based on the date, time, user name (for the local
>          part) and the domain part.
> 
> Actually, the user name is currently only used on MS-DOS, AFAICT.
> So I guess the documentation is already wrong?

Is says "based on", not that the user name is actually in the string.
(And it uses the uid instead, but same same.)

>> That is, we've got tricks like being able to score on References based
>> on your Message-ID to score up threads you've been a part of, etc.
>
> It seems flaky to use it for such scoring purposes though, as almost
> everyone is named "87"...  Do we really have code that does that?
>
> Should we care?

I thought I remembered it being a part of the scoring section of the
manual, so either it's been removed or I misremember.

But that's the reason the algo is the way it is now -- it allows you do
do stuff based on <[email-masked]> in References/In-reply-to etc.
If there's only one UID per domain (which is the case these days),
that's less of a thing, of course.